//联系方式
Vue.component('information', {
  data: function () {
    return {
      list:'',
    }
  },
  props:['status',"list","modular"],
  template: '<div><h2 class="title_h">联系方式</h2><ul class="information" v-if="status">'+
  '<li v-if="list.truename"><span>姓&#160;&#160;&#160;&#160;名:</span><p>{{list.truename}}</p></li>'+
  '<li v-if="list.telephone"><span>电&#160;&#160;&#160;&#160;话:</span><p  @click="call(list.telephone)">{{list.telephone}}</p></li>'+
  '<li v-if="list.mobile"><span>手&#160;&#160;&#160;&#160;机:</span><p  @click="call(list.mobile)">{{list.mobile}}</p></li>'+
  '<li v-if="list.company"><span>公&#160;&#160;&#160;&#160;司:</span><p @click="company(list.username)">{{list.company}}</p></li>'+
  '<li v-if="list.areaname"><span>地&#160;&#160;&#160;&#160;区:</span><p>{{list.areaname}}</p></li>'+
  '<li v-if="list.address"><span>地&#160;&#160;&#160;&#160;址:</span><p>{{list.address}}</p></li>'+
  '<li v-if="list.email"><span>Email:</span><p>{{list.email}}</p></li>'+
  '<li v-if="list.qq"><span>Q&#160;&#160;Q:</span><p>{{list.qq}}</p></li>'+
  '<li v-if="list.ali"><span>阿里旺旺:</span><p>{{list.ali}}</span></li>'+
  '</ul><div v-else class="information_false" @click="login()"><span class="aui-text-info">登陆</span>后可查看</div></div>',
  methods: {
    call:function(prompt){
      api.call({type: 'tel_prompt', number:prompt});
    },
    company:function(itemid){
      if(this.modular=='company'){
          openMap(this.list.company);
      }else{
        openWin("company_show",{itemid:itemid},"../company/");
      }
    },
    login:function(){
      openWin('zww_login','','../login/');
    },
  }
});
//上拉加载底部动画
Vue.component('load-foot', {
  props:["footer"],
  template:'<div class="footer clearFix" v-if="footer">'+
    '<div class="spinner" >'+
      '<div v-for="i in 3" :class="\'spinner-container container\'+i">'+
        '<div v-for="n in 4" :class="\'circle\'+n"></div>'+
      '</div>'+
    '</div>'+
    '{{footer===1?"没有更多内容":"正在加载"}}'+
  '</div>',
});
//资讯列表
Vue.component('news-list', {
  props:["item","win"],
  template:'<li v-if="item.title" class="news_list"  @click="show(item.itemid)">'+
              '<template v-if="item.thumb">'+
                '<img :src="item.thumb1" alt="" data="1" @error="thumb($event,item.thumb)">'+
                '<h1 class="title m_h" v-html="bright(item.title)"></h1>'+
              '</template>'+
              '<template v-else>'+
                '<h1 class="title" v-html="bright(item.title)"></h1>'+
                '<p class="introduce aui-ellipsis-3" v-html="item.introduce"></p>'+
              '</template>'+
                '<p class="catname" @click.stop="cat(item.catid,item.catname)">{{item.catname}}</p>'+
                '<p class="date">{{item.before}}</p>'+
            '</li>',
  methods: {
    show:function(itemid){
      if(this.win=="index"){
        return openWin('news_show',{itemid:itemid},'./news/');
      }else if(this.win=="tj"){
        document.querySelector('.position_f').scrollTop=0;
        execScript("news_show",'','page('+itemid+')');
        loadmore(openAPI.news_show,{itemid:itemid,key:openAPI.key});//获取内容
      }else{
        openWin('news_show',{itemid:itemid});
      }

    },
    cat:function(catid,catname){
        if(this.win=='list')return;
        if(this.win=="index"){
          return openWin('news_list',{catid:catid,catname:catname},"./news/");
        }
        openWin('news_list',{catid:catid,catname:catname});
    },
    thumb:function(e,thumb){
      if($api.attr(e.currentTarget,'data')==1){
        $api.attr(e.currentTarget,"data",2);
        $api.attr(e.currentTarget,"src",thumb);
      }else{
        if(this.win=="index"){
          $api.attr(e.currentTarget,"src",'../image/moren.png');
        }else{
          $api.attr(e.currentTarget,"src",'../../image/moren.png');
        }
      }
    },
    bright:function(t){
      if(!api.pageParam.searchid)return t;
      var searchid=api.pageParam.searchid.split(' ');
      for (var i = 0; i < searchid.length; i++) {
          t=t.replace(new RegExp(searchid[i], 'g'), '<span class="aui-text-danger">' + searchid[i] + '</span>')
      }
      return t;
    },
  }
});
//求购列表
Vue.component('buy-list', {
  props:["item","win"],
  template:'<li v-if="item.title" class="borBom aui-padded-t-10 aui-padded-b-10 aui-sow"  @click="show(item.itemid)">'+
              '<div class="aui-padded-l-10">'+
                '<p  :style="\'color:\'+item.style"  class="aui-ellipsis-2 aui-padded-b-5" v-html="bright(item.title)"></p>'+
                '<p class="aui-font-size-12 aui-text-hui aui-padded-b-5 aui-ellipsis-1">'+
                  '数量：{{item.amount||"不限"}}  |'+
                  '价格：{{item.price||"面议"}}  |'+
                  '包装：{{item.pack||"中性"}}'+
                '</p>'+
                '<p class="aui-padded-b-5 aui-font-size-14 aui-ellipsis-1">'+
                  '<span style="color:#eacd76">有效期：{{item.totime||"长期有效"}}</span>'+
                  '<span class="aui-pull-right" style="color:#a1afc9" >{{item.area||"未知"}}</span>'+
                '</p>'+
              '</div>'+
            '</li>',
  methods: {
    show:function(itemid){
      if(this.win=="index"){
        return openWin('buy_show',{itemid:itemid},'./buy/');
      }
      openWin('buy_show',{itemid:itemid});
    },
    bright:function(t){
      if(!api.pageParam.searchid)return t;
      var searchid=api.pageParam.searchid.split(' ');
      for (var i = 0; i < searchid.length; i++) {
          t=t.replace(new RegExp(searchid[i], 'g'), '<span class="aui-text-danger">' + searchid[i] + '</span>')
      }
      return t;
    },
  }
});

//供应列表
Vue.component('sell-list', {
  props:["item","win"],
  template:'<div class="item_thumb"  v-if="item.title"  @click="show(item.itemid)">'+
  '<div class="thumb">'+
  '<img v-if="item.thumb" :src="item.thumb" @error="thumb($event)" alt="">'+
  '<img v-else src="../../image/moren.png" @error="thumb($event)" alt="">'+
  '</div>'+
  '<div class="item_thumb_news">'+
  '<p class="news_title aui-ellipsis-2" v-html="bright(item.title)"></p>'+
  '<p class="aui-font-size-12 aui-text-hui aui-ellipsis-1">'+
    '起订：{{item.minamount=="0"?"不限":item.minamount+item.unit}} |'+
    '库存：{{item.amount=="0"?"未知":item.amount+item.unit}}'+
  '</p>'+
  '<p class="aui-text-info aui-font-size-16">'+
    '<span class="aui-font-size-12" v-if="item.price>0">Ⓑ </span>{{item.price>0?item.price:"面议"}}'+
    '<span v-if="item.is_tg" class="is_tg">广告</span>'+
  '</p>'+
  '<p class="item_thumb_company aui-ellipsis-1" v-if="item.company"  v-html="company(item.company,item.area)" @click.stop="openCompany(item.mobile)"></p>'+
  '<p class="item_thumb_company aui-ellipsis-1"  v-else @click.stop="openCompany(item.mobile)"><span class="aui-text-default">[{{item.area||"未知"}}] </span>{{item.username}}</p>'+
  '</div>'+
  '</div>',
  methods: {
    show:function(itemid){
      if(this.win=="index"){
        return openWin('sell_show',{itemid:itemid},'./sell/');
      }
      openWin('sell_show',{itemid:itemid});
    },
    bright:function(t){
      if(!api.pageParam.searchid)return t;
      var searchid=api.pageParam.searchid.split(' ');
      for (var i = 0; i < searchid.length; i++) {
          t=t.replace(new RegExp(searchid[i], 'g'), '<span class="aui-text-danger">' + searchid[i] + '</span>')
      }
      return t;
    },
    openCompany:function(mobile){
        if(!mobile)return;
        openWin('sell_search',{mobile:mobile});
    },
    company:function(t,n){
      if(t.length>15){
        t=t.substring(0,5)+"....."+t.substring(t.length-5,t.length);
      }
      return '<span class="aui-text-default">['+n+']</span> '+t;
    },
    thumb:function(e){
        if(this.win=="index"){
          $api.attr(e.currentTarget,"src",'../image/moren.png');
        }else{
          $api.attr(e.currentTarget,"src",'../../image/moren.png');
        }
    },
  }
});

//商城列表
Vue.component('mall-list', {
  props:["item","win","listsort"],
  template:'<div :class="\'mall_item item\'+listsort"  v-if="item.title"  @click="show(item.itemid)">'+
              '<div class="mall_thumb">'+
                '<img v-if="item.thumb" :src="item.thumb" @error="thumb($event)">'+
                '<img v-else src="../../image/moren.png" @error="thumb($event)">'+
              '</div>'+
              '<div class="mall_news">'+
                '<p class="item_title">'+
                  '<span v-if="item.company==\'植物网自营\'" class="ziyin">自营</span>'+
                  '<span class="dsc" v-else-if="item.ismarket==1">大市场</span>'+
                  '<span v-html="bright(item.title)"></span>'+
                '</p>'+
                '<p class="item_title_min aui-ellipsis-1">{{item.ftitle}}</p>'+
                '<p class="item_price"><span class="aui-font-size-14">Ⓑ </span>{{item.price}}</p>'+
                '<p class="item_company" v-html="company(item.company)" @click.stop="openCompany(item.username)"></p>'+
              '</div>'+
          '</div>',
  methods: {
    show:function(itemid){
      if(this.win=="index"){
        return openWin('mall_show',{itemid:itemid},'./mall/');
      }else if(this.win=='tj'){
        execScript("mall_show",'','page('+itemid+')');
        loadmore(openAPI.mall_show,{itemid:itemid,key:openAPI.key});//获取内容
      }else{
        openWin('mall_show',{itemid:itemid});
      }
    },
    openCompany:function(itemid){
      // console.log();
        if(this.win=="index"){
          return openWin('company_mall',{username:itemid},'./company/');
        }
        openWin('company_mall',{username:itemid},'../company/');
    },
    company:function(t){
      if(t.length>15){
        t=t.substring(0,5)+"....."+t.substring(t.length-5,t.length);
      }
      return t;
    },
    thumb:function(e){
        if(this.win=="index"){
          $api.attr(e.currentTarget,"src",'../image/moren.png');
        }else{
          $api.attr(e.currentTarget,"src",'../../image/moren.png');
        }
    },
    bright:function(t){
      var searchid=api.pageParam.searchid;
      if(searchid){
        return t.replace(new RegExp(searchid, 'g'), '<span class="aui-text-danger">' + searchid + '</span>')
      }
      return t;
    }
  }
});
